E-MailRelay

Classes | Namespaces | Functions
geventstate.h File Reference
`#include "gdef.h"`
`#include "gexceptionhandler.h"`
`#include "gexceptionsource.h"`
`#include "geventlogging.h"`
`#include <new>`
`#include <exception>`
`#include <type_traits>`
Include dependency graph for geventstate.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | GNet::EventState
| A lightweight object containing an ExceptionHandler pointer, optional ExceptionSource pointer and optional EventLogging pointer. More...
struct | GNet::EventState::Private
| Overload discriminator for GNet::EventState. More...
class | GNet::EventStateUnbound
| The EventStateUnbound class is used as a device to force factory methods to plumb-in an ExceptionSource pointer into the newly-created object as soon as its address is available, before the EventState propagates into base classes and sub-objects. More...

## Namespaces
namespace | GNet
| Network classes.

## Functions
EventState | GNet::esbindfriend (EventStateUnbound esu, ExceptionSource *esrc) noexcept
template<typename T >
EventState | GNet::esbind (EventStateUnbound esu, T *p)